Issue1456

Title Support XDG basedir specification
Priority feature Status resolved
Category Due Date
Version ExtLink  (go)
Superseder Nosy List eheintzmann
Assigned To Topics wontfix  (help)

Created on 2012-12-08.15:36:04 by eheintzmann, last changed 2012-12-20.17:08:39 by werner.

Messages
msg4496 (view) Author: werner Date: 2012-12-20.17:08:39
See the Topics field above:  wontfix.
The feature request has been rejected.  If you still want to pursuit it, please
start a discussion at gnupg-devel and don't contine here at the BTS.
msg4495 (view) Author: eheintzmann Date: 2012-12-20.16:37:07
Not ure to understand you comment...
Have you added support for XDG basedir spec?
msg4494 (view) Author: werner Date: 2012-12-20.13:57:01
Add more complexity to the already complex configuration.
msg4484 (view) Author: eheintzmann Date: 2012-12-15.12:16:31
Please notice that backward compatibility can be preserved by continue to use
$HOME/.gnupg if it exits but using/creating XDG dirs when it is not exit.
msg4482 (view) Author: werner Date: 2012-12-15.09:06:39
That would be incompatible to previous versions and is thus not an option.  If a
user wants this GNUPGHOME provides an easy way to do so.  Keys should be
considered part of the configuration.
msg4476 (view) Author: eheintzmann Date: 2012-12-08.15:36:04
Please support FreeDesktop.org XDG basedir specification for gnupg?

http://ploum.net/post/207-modify-your-application-to-use-xdg-folders
https://live.gnome.org/GnomeGoals/XDGConfigFolders
http://standards.freedesktop.org/basedir-spec/latest/
History
Date User Action Args
2012-12-20 17:08:39wernersetstatus: chatting -> resolved
messages: + msg4496
2012-12-20 16:37:07eheintzmannsetstatus: resolved -> chatting
messages: + msg4495
2012-12-20 13:57:01wernersetstatus: chatting -> resolved
messages: + msg4494
2012-12-15 12:16:31eheintzmannsetmessages: + msg4484
2012-12-15 12:16:14eheintzmannsetmessages: - msg4483
2012-12-15 12:12:10eheintzmannsetmessages: + msg4483
2012-12-15 09:06:39wernersettopic: + wontfix
status: unread -> chatting
messages: + msg4482
2012-12-08 15:36:04eheintzmanncreate